Skip to main content
POST
/
api
/
v4
/
mining
/
watcher-links
/
list
List Watcher Links
curl --request POST \
  --url https://whitebit.com/api/v4/mining/watcher-links/list \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "account": "my_miner_01"
}
'
{
  "data": [
    {
      "id": "abc123-external-id",
      "accounts": [
        "my_miner_01"
      ],
      "name": "monitoring_link",
      "link": "https://whitebit.com/mining-pool/watcher-link/abc123-external-id",
      "permissions": [
        "dashboard",
        "workers"
      ],
      "liveUntil": 1709944800,
      "createdAt": 1709340000
    }
  ]
}

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
account
string
required

Mining pool account name

Maximum string length: 255
Example:

"my_miner_01"

Response

Successful response

data
object[]